package com.realnet.filemanager.Services;
import com.realnet.filemanager.Repository.FilemanagerRepository;
import com.realnet.filemanager.Entity.Filemanager
;import java.util.*;

import org.springframework.beans.factory.annotation.Autowired;
import com.realnet.SequenceGenerator.Service.SequenceService;
import org.springframework.data.domain.Page;
import com.realnet.realm.Entity.Realm;
import com.realnet.realm.Services.RealmService;
import org.springframework.data.domain.Pageable;
import org.springframework.http.*;
import com.realnet.users.service1.AppUserServiceImpl;
import com.realnet.users.entity1.AppUser;










	import org.springframework.stereotype.Service;

@Service
 public class FilemanagerService {
@Autowired
private FilemanagerRepository Repository;
	@Autowired
	private AppUserServiceImpl userService; 
@Autowired
	private RealmService realmService;









public Filemanager Savedata(Filemanager data) {










	data.setUpdatedBy(getUser().getUserId());
		data.setCreatedBy(getUser().getUserId());
		data.setAccountId(getUser().getAccount().getAccount_id());
Filemanager save = Repository.save(data);
				return save;	
			}


//	get all with pagination
	public Page<Filemanager> getAllWithPagination(Pageable page) {
		return Repository.findAll( getUser().getUserId(),page);
	}			
public List<Filemanager> getdetails() {  
		List<Realm> realm = realmService.findByUserId(getUser().getUserId());
List<Filemanager> all = Repository.findAll(getUser().getUserId());
		
		return all ;		}


public Filemanager getdetailsbyId(Integer id) {
	return Repository.findById(id).get();
			}


	public void delete_by_id(Integer id) {
 Repository.deleteById(id);
}


public Filemanager update(Filemanager data,Integer id) {
	Filemanager old = Repository.findById(id).get();
old.setFilename(data.getFilename());

old.setFiletype(data.getFiletype());

old.setFilesize(data.getFilesize());

old.setUploaddate(data.getUploaddate());

old.setFilepath(data.getFilepath());

final Filemanager test = Repository.save(old);
		data.setUpdatedBy(getUser().getUserId());
  return test;} 










 public AppUser getUser() {
		AppUser user = userService.getLoggedInUser();
		return user;

	}}
